From fad02f1fb71ec8c64e47e5031726ffbee4a1dd84 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 11 May 2022 09:53:01 +0200
Subject: [PATCH 7/9] meson: Add system-tzdata option

---
 meson.build       | 3 +++
 meson_options.txt | 3 +++
 2 files changed, 6 insertions(+)

diff --git a/meson.build b/meson.build
index 7c9c6e7f23..b33a51a35d 100644
--- a/meson.build
+++ b/meson.build
@@ -246,6 +246,9 @@ cdata.set('RELSEG_SIZE', get_option('segsize') * 131072)
 cdata.set('DEF_PGPORT', get_option('pgport'))
 cdata.set_quoted('DEF_PGPORT_STR', get_option('pgport'))
 cdata.set_quoted('PG_KRB_SRVNAM', 'postgres')
+if get_option('system-tzdata') != ''
+  cdata.set_quoted('SYSTEMTZDIR', get_option('system-tzdata'))
+endif
 
 
 
diff --git a/meson_options.txt b/meson_options.txt
index 892ef117ee..250d758ded 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -20,6 +20,9 @@ option('pgport', type : 'string', value : '5432',
   description : '''Default port number for server and clients.
 The default is 5432. The port can always be changed later on, but if you specify it here then both server and clients will have the same default compiled in, which can be very convenient. Usually the only good reason to select a non-default value is if you intend to run multiple PostgreSQL servers on the same machine.''')
 
+option('system-tzdata', type: 'string', value: '',
+  description: 'use system time zone data in specified directory')
+
 
 # Developer options
 
-- 
2.35.1

